import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Roles } from './entities/roles.entity';
import { ConfigurableController } from './configurable.controller';
import { RoleService } from './roles.service';

@Module({
  imports: [TypeOrmModule.forFeature([Roles])],
  controllers: [ConfigurableController],
  providers: [RoleService],
  exports: [RoleService]
})
export class ConfigurableModule {}
