import { IsNotEmpty } from 'class-validator';
import { productType } from '../../../helper/enum-list';

export class UpdatePriceProductDto {
  @IsNotEmpty()
  price: number;

  @IsNotEmpty()
  markUpPrice: number;

  @IsNotEmpty()
  type: productType;

  startDate: Date;

  endDate: Date;
}
