import { IsNotEmpty, IsUUID } from 'class-validator';
import { balanceType, coaType } from 'src/helper/enum-list';

export class InputCoaDto {
  @IsUUID()
  userId: string;

  @IsNotEmpty()
  type: coaType;

  @IsNotEmpty()
  balanceType: balanceType;
}
