import {
  Entity,
  Column,
} from 'typeorm';
import { BaseModel } from '../../config/basemodel.entity';
import { coaType, balanceType } from '../../helper/enum-list';

@Entity()
export class COA extends BaseModel {
  @Column()
  name: string;

  @Column('text')
  type: coaType;

  @Column('text')
  balanceType: balanceType;

  @Column()
  amount: number;

  @Column()
  user: string;
}
