import {
  Entity,
  Column,
  PrimaryGeneratedColumn,
  UpdateDateColumn,
  DeleteDateColumn,
  VersionColumn,
  CreateDateColumn,
  ManyToOne,
  ManyToMany,
  JoinTable,
} from 'typeorm';
import { BaseModel } from '../../config/basemodel.entity';
import { statusTransaction, typeTransaction } from '../../helper/enum-list';

@Entity()
export class Transactions extends BaseModel {
  @Column()
  amount: number;

  @Column()
  status: statusTransaction;

  @Column()
  type: typeTransaction;

  @Column()
  user: string;

  @Column({
    nullable: true,
  })
  userDestination: string;
}
